
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef dtm_ERROR_H
#define dtm_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_dtm    (5150)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_dtm_BAD_FUSION_PARAMS    H2_ENCODE_ERR(M_dtm       , 1)
#define S_dtm_WRITE_DTM            H2_ENCODE_ERR(M_dtm       , 2)
#define S_dtm_NO_SUCH_FILE         H2_ENCODE_ERR(M_dtm       , 3)
#define S_dtm_DTM_NOT_CREATED      H2_ENCODE_ERR(M_dtm       , 4)
#define S_dtm_NOT_CONNECTED        H2_ENCODE_ERR(M_dtm       , 5)
#define S_dtm_BAD_T3D_TYPE         H2_ENCODE_ERR(M_dtm       , 6)
#define S_dtm_CAMERA_POSTER_CHANGED H2_ENCODE_ERR(M_dtm       , 7)
#define S_dtm_FUSION_ERROR         H2_ENCODE_ERR(M_dtm       , 8)
#define S_dtm_STEREOPIXEL_POSTER_CHANGED H2_ENCODE_ERR(M_dtm       , 9)
#define S_dtm_IM3D_SIZE_CHANGED    H2_ENCODE_ERR(M_dtm       , 10)
#define S_dtm_IM3D_CREATION        H2_ENCODE_ERR(M_dtm       , 11)
#define S_dtm_FONCTION_NOT_IMPLEMENTED H2_ENCODE_ERR(M_dtm       , 12)
#define S_dtm_POSTERS_NOT_COMPATIBLE H2_ENCODE_ERR(M_dtm       , 13)
#define S_dtm_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_dtm       , 14)
#define S_dtm_POSTER_CREATION_FAILED H2_ENCODE_ERR(M_dtm       , 15)
#define S_dtm_INTERNAL_DTM_INIT_FAILED H2_ENCODE_ERR(M_dtm       , 16)
#define S_dtm_INTERNAL_DTM_CREATION_FAILED H2_ENCODE_ERR(M_dtm       , 17)
#define S_dtm_BAD_INIT_PARAMS      H2_ENCODE_ERR(M_dtm       , 18)
#define S_dtm_CALIFE_ERROR         H2_ENCODE_ERR(M_dtm       , 19)


/* std errors */
#define S_dtm_stdGenoM_ACTIVITY_INTERRUPTED       337568769   /* 5150<<16 | 0x8000 | 100<<8 | 1 */
#define S_dtm_stdGenoM_TOO_MANY_ACTIVITIES        337568770   /* 5150<<16 | 0x8000 | 100<<8 | 2 */
#define S_dtm_stdGenoM_ACTIVITY_FAILED            337568771   /* 5150<<16 | 0x8000 | 100<<8 | 3 */
#define S_dtm_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 337568772   /* 5150<<16 | 0x8000 | 100<<8 | 4 */
#define S_dtm_stdGenoM_UNKNOWN_ACTIVITY           337568773   /* 5150<<16 | 0x8000 | 100<<8 | 5 */
#define S_dtm_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 337568774   /* 5150<<16 | 0x8000 | 100<<8 | 6 */
#define S_dtm_stdGenoM_SYSTEM_ERROR               337568775   /* 5150<<16 | 0x8000 | 100<<8 | 7 */
#define S_dtm_stdGenoM_ACTIVITY_ALREADY_ENDED     337568776   /* 5150<<16 | 0x8000 | 100<<8 | 8 */
#define S_dtm_stdGenoM_WAIT_INIT_RQST             337568777   /* 5150<<16 | 0x8000 | 100<<8 | 9 */
#define S_dtm_stdGenoM_CONTROL_CODEL_ERROR        337568778   /* 5150<<16 | 0x8000 | 100<<8 | 10 */
#define S_dtm_stdGenoM_EXEC_TASK_SUSPENDED        337568779   /* 5150<<16 | 0x8000 | 100<<8 | 11 */
#define S_dtm_stdGenoM_BAD_BLOCK_TYPE             337568780   /* 5150<<16 | 0x8000 | 100<<8 | 12 */
#define S_dtm_stdGenoM_BAD_POSTER_TYPE            337568781   /* 5150<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define DTM_H2_ERR_MSGS {\
    {"BAD_FUSION_PARAMS", 1}, \
    {"WRITE_DTM", 2},\
    {"NO_SUCH_FILE", 3},\
    {"DTM_NOT_CREATED", 4},\
    {"NOT_CONNECTED", 5},\
    {"BAD_T3D_TYPE", 6},\
    {"CAMERA_POSTER_CHANGED", 7},\
    {"FUSION_ERROR", 8},\
    {"STEREOPIXEL_POSTER_CHANGED", 9},\
    {"IM3D_SIZE_CHANGED", 10},\
    {"IM3D_CREATION", 11},\
    {"FONCTION_NOT_IMPLEMENTED", 12},\
    {"POSTERS_NOT_COMPATIBLE", 13},\
    {"POSTER_NOT_FOUND", 14},\
    {"POSTER_CREATION_FAILED", 15},\
    {"INTERNAL_DTM_INIT_FAILED", 16},\
    {"INTERNAL_DTM_CREATION_FAILED", 17},\
    {"BAD_INIT_PARAMS", 18},\
    {"CALIFE_ERROR", 19},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int dtmRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
