
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef DTM_PRINT_H
#define DTM_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/velodynePrint.h"

#include "server/stereopixelPrint.h"

#include "server/genBasicPrint.h"

#include "server/pomPrint.h"


#include "dtmPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_DTM_P3DPOSTER_POSTER_STR ( FILE *out,
     struct DTM_P3DPOSTER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DTM_STR ( FILE *out,
     struct DTM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmDisplayParams ( FILE *out,
     struct DtmDisplayParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmP3dPosterParams ( FILE *out,
     struct DtmP3dPosterParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmFusionParams ( FILE *out,
     struct DtmFusionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmStrategy ( FILE *out,
     struct DtmStrategy *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmStrategyKind ( FILE *out,
     enum DtmStrategyKind *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmReferenceFrame ( FILE *out,
     enum DtmReferenceFrame *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmRefinement ( FILE *out,
     enum DtmRefinement *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmVideo ( FILE *out,
     enum DtmVideo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmGeodesicOrigin ( FILE *out,
     struct DtmGeodesicOrigin *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmSaveParams ( FILE *out,
     struct DtmSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmFileFormat ( FILE *out,
     enum DtmFileFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmConnectParams ( FILE *out,
     struct DtmConnectParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmResetParams ( FILE *out,
     struct DtmResetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DtmInitParams ( FILE *out,
     struct DtmInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmDestination ( FILE *out,
     enum DtmDestination *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_DtmSlidingMode ( FILE *out,
     enum DtmSlidingMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DTM_LABEL_POSTER ( FILE *out,
     struct DTM_LABEL_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_demCellLabel ( FILE *out,
     enum demCellLabel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_DTM_P3D_POSTER ( FILE *out,
     struct DTM_P3D_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_demCellState ( FILE *out,
     enum demCellState *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_demCellState ( FILE *out,
     demCellState *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DTM_P3D_POSTER ( FILE *out,
     DTM_P3D_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_demCellLabel ( FILE *out,
     demCellLabel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DTM_LABEL_POSTER ( FILE *out,
     DTM_LABEL_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmSlidingMode ( FILE *out,
     DtmSlidingMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmDestination ( FILE *out,
     DtmDestination *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmInitParams ( FILE *out,
     DtmInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmResetParams ( FILE *out,
     DtmResetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmConnectParams ( FILE *out,
     DtmConnectParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmFileFormat ( FILE *out,
     DtmFileFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmSaveParams ( FILE *out,
     DtmSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmGeodesicOrigin ( FILE *out,
     DtmGeodesicOrigin *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmVideo ( FILE *out,
     DtmVideo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmRefinement ( FILE *out,
     DtmRefinement *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmReferenceFrame ( FILE *out,
     DtmReferenceFrame *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmStrategyKind ( FILE *out,
     DtmStrategyKind *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmStrategy ( FILE *out,
     DtmStrategy *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmFusionParams ( FILE *out,
     DtmFusionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmPosterParams ( FILE *out,
     DtmPosterParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DtmDisplayParams ( FILE *out,
     DtmDisplayParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DTM_STR ( FILE *out,
     DTM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_DTM_P3DPOSTER_POSTER_STR ( FILE *out,
     DTM_P3DPOSTER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* DTM_PRINT_H */

