
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef dtm_TCLSERV_CLIENT_MSG_LIB_H
#define dtm_TCLSERV_CLIENT_MSG_LIB_H

#include <server/dtmType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int dtmTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int dtmTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int dtmTclservClientGetInitParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int dtmTclservClientGetInitParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       DtmInitParams *(out_initParams),
			       int *bilan);

int dtmTclservClientGetInitParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 DtmInitParams *(out_initParams),
				 int *bilan);




int dtmTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 DtmInitParams *(in_initParams) 
		);

int dtmTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				DtmInitParams *(in_initParams) ,
				
				int *bilan);

int dtmTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					DtmInitParams *(in_initParams) ,
					
					int *bilan);




int dtmTclservClientConnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 DtmConnectParams *(in_connectionParams) 
		);

int dtmTclservClientConnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientConnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				DtmConnectParams *(in_connectionParams) ,
				
				int *bilan);

int dtmTclservClientConnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					DtmConnectParams *(in_connectionParams) ,
					
					int *bilan);




int dtmTclservClientReInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 DtmResetParams *(in_resetParams) 
		);

int dtmTclservClientReInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientReInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				DtmResetParams *(in_resetParams) ,
				
				int *bilan);

int dtmTclservClientReInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					DtmResetParams *(in_resetParams) ,
					
					int *bilan);




int dtmTclservClientSetGeodesicOriginRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 DtmGeodesicOrigin *(in_geodesicOrigin) 
		);

int dtmTclservClientSetGeodesicOriginReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientSetGeodesicOriginRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				DtmGeodesicOrigin *(in_geodesicOrigin) ,
				
				int *bilan);

int dtmTclservClientSetGeodesicOriginRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					DtmGeodesicOrigin *(in_geodesicOrigin) ,
					
					int *bilan);




int dtmTclservClientGetGeodesicOriginRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int dtmTclservClientGetGeodesicOriginReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       DtmGeodesicOrigin *(out_geodesicOrigin),
			       int *bilan);

int dtmTclservClientGetGeodesicOriginRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 DtmGeodesicOrigin *(out_geodesicOrigin),
				 int *bilan);




int dtmTclservClientSetFusionParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 DtmFusionParams *(in_fusionParams)
		);

int dtmTclservClientSetFusionParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int dtmTclservClientSetFusionParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 DtmFusionParams *(in_fusionParams) ,
				 
				 int *bilan);




int dtmTclservClientGetFusionParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int dtmTclservClientGetFusionParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       DtmFusionParams *(out_fusionParams),
			       int *bilan);

int dtmTclservClientGetFusionParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 DtmFusionParams *(out_fusionParams),
				 int *bilan);




int dtmTclservClientFuseDtmRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientFuseDtmReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientFuseDtmRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientFuseDtmRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int dtmTclservClientJumpDtmRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientJumpDtmReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientJumpDtmRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientJumpDtmRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int dtmTclservClientSetP3dPosterParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 DtmPosterParams *(in_p3dPosterParams)
		);

int dtmTclservClientSetP3dPosterParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int dtmTclservClientSetP3dPosterParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 DtmPosterParams *(in_p3dPosterParams) ,
				 
				 int *bilan);




int dtmTclservClientGetP3dPosterParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int dtmTclservClientGetP3dPosterParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       DtmPosterParams *(out_p3dPosterParams),
			       int *bilan);

int dtmTclservClientGetP3dPosterParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 DtmPosterParams *(out_p3dPosterParams),
				 int *bilan);




int dtmTclservClientFillP3dPosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientFillP3dPosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientFillP3dPosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientFillP3dPosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int dtmTclservClientFillLabelPosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientFillLabelPosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientFillLabelPosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientFillLabelPosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int dtmTclservClientSetSaveParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 DtmSaveParams *(in_saveParams)
		);

int dtmTclservClientSetSaveParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int dtmTclservClientSetSaveParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 DtmSaveParams *(in_saveParams) ,
				 
				 int *bilan);




int dtmTclservClientGetSaveParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int dtmTclservClientGetSaveParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       DtmSaveParams *(out_saveParams),
			       int *bilan);

int dtmTclservClientGetSaveParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 DtmSaveParams *(out_saveParams),
				 int *bilan);




int dtmTclservClientSaveInternalDtmRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientSaveInternalDtmReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientSaveInternalDtmRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientSaveInternalDtmRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int dtmTclservClientSaveP3dPosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int dtmTclservClientSaveP3dPosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int dtmTclservClientSaveP3dPosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int dtmTclservClientSaveP3dPosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* dtmTCLSERV_CLIENT_MSG_LIB_H */

